Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 645438

Summary: dev-tex/xmltex-1.9-r2 - unpack: failure unpacking xmltex-1.9.tar.gz
Product: Gentoo Linux Reporter: Denis Descheneaux <ddescheneaux>
Component: Current packagesAssignee: TeX project <tex>
Status: RESOLVED FIXED    
Severity: major CC: arno.hilke, Christopher.Lundgren, jstein, marcel.schilling, rogerx.oss
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Denis Descheneaux 2018-01-23 04:26:07 UTC
# emerge -1 dev-tex/xmltex

These are the packages that would be merged, in order:

[ebuild   R    ] dev-tex/xmltex-1.9-r2::gentoo  0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB


>>> Verifying ebuild manifests

>>> Emerging (1 of 1) dev-tex/xmltex-1.9-r2::gentoo
 * xmltex-1.9.tar.gz BLAKE2B SHA512 size ;-) ...                                                                   [ ok ]
>>> Unpacking source...
>>> Unpacking xmltex-1.9.tar.gz to /var/tmp/portage/dev-tex/xmltex-1.9-r2/work
gzip: warning: /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar.gz: trailing junk was ignored
 * ERROR: dev-tex/xmltex-1.9-r2::gentoo failed (unpack phase):
 *   unpack: failure unpacking xmltex-1.9.tar.gz
 * 
 * Call stack:
 *               ebuild.sh, line  124:  Called src_unpack
 *             environment, line 1551:  Called default
 *      phase-functions.sh, line  853:  Called default_src_unpack
 *      phase-functions.sh, line  880:  Called __eapi0_src_unpack
 *        phase-helpers.sh, line  740:  Called unpack 'xmltex-1.9.tar.gz'
 *        phase-helpers.sh, line  387:  Called __unpack_tar 'gzip -d'
 *        phase-helpers.sh, line  318:  Called __assert_sigpipe_ok 'unpack: failure unpacking xmltex-1.9.tar.gz'
 *   isolated-functions.sh, line   41:  Called __helpers_die 'unpack: failure unpacking xmltex-1.9.tar.gz'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *   		die "$@"
 * 
 * If you need support, post the output of `emerge --info '=dev-tex/xmltex-1.9-r2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-tex/xmltex-1.9-r2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-tex/xmltex-1.9-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-tex/xmltex-1.9-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-tex/xmltex-1.9-r2/work'
 * S: '/var/tmp/portage/dev-tex/xmltex-1.9-r2/work/xmltex/base'

>>> Failed to emerge dev-tex/xmltex-1.9-r2, Log file:

>>>  '/var/tmp/portage/dev-tex/xmltex-1.9-r2/temp/build.log'

 * Messages for package dev-tex/xmltex-1.9-r2:

 * Package:    dev-tex/xmltex-1.9-r2
 * Repository: gentoo
 * Maintainer: tex@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox selinux sesandbox userpriv usersandbox
 * ERROR: dev-tex/xmltex-1.9-r2::gentoo failed (unpack phase):
 *   unpack: failure unpacking xmltex-1.9.tar.gz
 * 
 * Call stack:
 *               ebuild.sh, line  124:  Called src_unpack
 *             environment, line 1551:  Called default
 *      phase-functions.sh, line  853:  Called default_src_unpack
 *      phase-functions.sh, line  880:  Called __eapi0_src_unpack
 *        phase-helpers.sh, line  740:  Called unpack 'xmltex-1.9.tar.gz'
 *        phase-helpers.sh, line  387:  Called __unpack_tar 'gzip -d'
 *        phase-helpers.sh, line  318:  Called __assert_sigpipe_ok 'unpack: failure unpacking xmltex-1.9.tar.gz'
 *   isolated-functions.sh, line   41:  Called __helpers_die 'unpack: failure unpacking xmltex-1.9.tar.gz'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *   		die "$@"
 * 
 * If you need support, post the output of `emerge --info '=dev-tex/xmltex-1.9-r2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-tex/xmltex-1.9-r2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-tex/xmltex-1.9-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-tex/xmltex-1.9-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-tex/xmltex-1.9-r2/work'
 * S: '/var/tmp/portage/dev-tex/xmltex-1.9-r2/work/xmltex/base'
 * 
 * The following package has failed to build, install, or execute postinst:
 * 
 *  (dev-tex/xmltex-1.9-r2:0/0::gentoo, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/dev-tex/xmltex-1.9-r2/temp/build.log'

###########################


# gzip -l /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar.gz
         compressed        uncompressed  ratio uncompressed_name
             110592                   0   0.0% /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar

###########################

# gzip -dv /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar.gz
gzip: /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar.gz: Too many levels of symbolic links

###########################

# gzip -dfv /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar.gz
/var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar.gz:	
gzip: /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar.gz: decompression OK, trailing zero bytes ignored
 77.8% -- replaced with /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar

###########################

# extracting after going though gzip is also fine

# tar xvpf /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar
xmltex/
xmltex/base/
xmltex/base/pdfxmltex.ini
xmltex/base/testascii.cfg
xmltex/base/xmltex.ini
xmltex/base/xmltex.cfg
xmltex/base/xmltex.tex
xmltex/base/mathml2.xmt
xmltex/base/manual.html
xmltex/base/manual.xml
xmltex/base/manual.xsl
xmltex/base/readme.txt
xmltex/base/tei.xmt
xmltex/base/utf-16.xmt
xmltex/base/sec.xmt
xmltex/base/englishutf16.xml
xmltex/base/testascii.xml
xmltex/base/langtest.xmt
xmltex/base/langtest.xml
xmltex/base/russiankoi8.xml
xmltex/base/russianutf8.xml
xmltex/base/testsec.xml
xmltex/base/portugeselatin1.xml
xmltex/base/langtest.tex
xmltex/base/windows-1250.xmt
xmltex/base/englishutf8.xml
xmltex/base/iso-8859-1.xmt
xmltex/base/koi8-r.xmt
xmltex/base/testsec.tex
xmltex/base/testascii.tex
xmltex/base/manual.tex
xmltex/base/iso-8859-2.xmt
xmltex/contrib/
xmltex/contrib/passivetex/
xmltex/contrib/passivetex/teiprintslides.xmt
xmltex/contrib/passivetex/fotex.xmt
xmltex/contrib/passivetex/fotex.sty
xmltex/contrib/passivetex/mlnames.sty
xmltex/contrib/passivetex/ucharacters.sty
xmltex/contrib/passivetex/unicode.sty
xmltex/contrib/passivetex/tei.xmt
xmltex/contrib/passivetex/dummyels.sty
xmltex/contrib/passivetex/teislides.xmt
xmltex/contrib/passivetex/teixml.sty
xmltex/contrib/passivetex/teixmlslides.sty

# extracts fine using tar directly without using gzip at first

# tar xvpf /var/tmp/portage/dev-tex/xmltex-1.9-r2/distdir/xmltex-1.9.tar.gz
xmltex/
xmltex/base/
xmltex/base/pdfxmltex.ini
xmltex/base/testascii.cfg
xmltex/base/xmltex.ini
xmltex/base/xmltex.cfg
xmltex/base/xmltex.tex
xmltex/base/mathml2.xmt
xmltex/base/manual.html
xmltex/base/manual.xml
xmltex/base/manual.xsl
xmltex/base/readme.txt
xmltex/base/tei.xmt
xmltex/base/utf-16.xmt
xmltex/base/sec.xmt
xmltex/base/englishutf16.xml
xmltex/base/testascii.xml
xmltex/base/langtest.xmt
xmltex/base/langtest.xml
xmltex/base/russiankoi8.xml
xmltex/base/russianutf8.xml
xmltex/base/testsec.xml
xmltex/base/portugeselatin1.xml
xmltex/base/langtest.tex
xmltex/base/windows-1250.xmt
xmltex/base/englishutf8.xml
xmltex/base/iso-8859-1.xmt
xmltex/base/koi8-r.xmt
xmltex/base/testsec.tex
xmltex/base/testascii.tex
xmltex/base/manual.tex
xmltex/base/iso-8859-2.xmt
xmltex/contrib/
xmltex/contrib/passivetex/
xmltex/contrib/passivetex/teiprintslides.xmt
xmltex/contrib/passivetex/fotex.xmt
xmltex/contrib/passivetex/fotex.sty
xmltex/contrib/passivetex/mlnames.sty
xmltex/contrib/passivetex/ucharacters.sty
xmltex/contrib/passivetex/unicode.sty
xmltex/contrib/passivetex/tei.xmt
xmltex/contrib/passivetex/dummyels.sty
xmltex/contrib/passivetex/teislides.xmt
xmltex/contrib/passivetex/teixml.sty
xmltex/contrib/passivetex/teixmlslides.sty


#############################
Comment 1 Denis Descheneaux 2018-01-23 04:30:14 UTC
Portage 2.3.20 (python 2.7.14-final-0, default/linux/amd64/17.0/desktop/gnome/systemd, gcc-7.2.0, glibc-2.26-r5, 4.14.14-gentoo x86_64)
=================================================================
System uname: Linux-4.14.14-gentoo-x86_64-Intel-R-_Core-TM-_i7-2630QM_CPU_@_2.00GHz-with-gentoo-2.4.1
KiB Mem:    24628284 total,   1305044 free
Timestamp of repository gentoo: Mon, 22 Jan 2018 05:45:01 +0000
Head commit of repository gentoo: e4821e616033d658c494780b1ec66bdace912071


sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r1::maolang, 3.5.4-r1::maolang, 3.6.4::maolang
dev-util/cmake:           3.10.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo, 7.2.0-r1::gentoo
sys-devel/gcc-config:     1.9.1::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.14::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r5::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.fr.gentoo.org/gentoo-portage/
    priority: -1000
    sync-rsync-extra-opts: 

maolang
    location: /etc/portage/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeAIRSDK AdobeFlash-11.x dotnet-eula FraunhoferFDK genymotion google-chrome icaclient MEGA-Code-Review MSjdbcEULA40 NVIDIA-CUDA OPERA-2014 Oracle-BCLA-JavaSE PUEL RAR TeamViewer Vivaldi"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=sandybridge -O2 -ftree-vectorize -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity -ftree-parallelize-loops=4 -fopenmp -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/grs/systems.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.3/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/chromium/policies/managed/chrome-gnome-shell.json /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/opt/chrome/policies/managed/chrome-gnome-shell.json /etc/php/apache2-php7.2/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=sandybridge -O2 -ftree-vectorize -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity -ftree-parallelize-loops=4 -fopenmp -pipe"
DISTDIR="/usr/portage/distfiles/dist~"
EMERGE_DEFAULT_OPTS="  --alert=y --ask-enter-invalid --color=y --keep-going --verbose --verbose-conflicts"
FCFLAGS="-march=sandybridge -O2 -ftree-vectorize -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity -ftree-parallelize-loops=4 -fopenmp -pipe"
FEATURES="assume-digests binpkg-logs binpkg-multi-instance buildpkg candy clean-logs config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch parallel-install preserve-libs protect-owned sandbox selinux sesandbox sfperms split-elog split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=sandybridge -O2 -ftree-vectorize -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity -ftree-parallelize-loops=4 -fopenmp -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="fr_FR.utf8"
LC_ALL="fr_FR.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -fuse-ld=gold"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/distfiles/bin~"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-9"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X Xaw3d a52 aac acl acpi alsa amd64 apparmor asyncns avahi bash-completion berkdb bluetooth boost branding byte-compile bzip2 cairo caps cdda cdr clang cleartype_hinting cli colord compiler-rt cracklib crypt cups custom-cflags custom-optimization cxx dbus default-compiler-rt default-libcxx dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fontconfig fortran gdbm gif glamor glib gmp gnome gnome-keyring gnome-online-accounts gold gpm graphite gstreamer gtk gtkstyle harfbuzz hscolour hwloc iconv icu initramfs introspection ipv6 ithreads jack jit jpeg kmod lcms ldap libcxx libcxxabi libinput libnotify libsamplerate libsecret lirc mad math mng modules mp3 mp4 mpeg mtp multilib multiuser nautilus ncurses nethack nls nptl ocamlopt offensive ogg ompt open_perms opengl openmp oss pam pango pcre pdf peer_perms pic pie png policykit postgres ppds pulseaudio qt5 readline realtime scanner sdl seccomp selinux smp spell ssl ssp startup-notification static stemmer svg symlink systemd tcpd threads tiff tinfo toolbar tracker truetype ubac udev udisks unconfined unicode upower usb v4l vorbis wxwidgets x264 xattr xcb xinerama xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_EXPERIMENTAL_FEATURES="braindump stage" CALLIGRA_FEATURES="author braindump flow gemini karbon kexi krita plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory network rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="openssl" ELIBC="glibc" ENLIGHTENMENT_MODULES="appmenu backlight battery bluez4 clock conf conf-applications conf-bindings conf-dialogs conf-display conf-interaction conf-intl conf-menus conf-paths conf-performance conf-randr conf-shelves conf-theme conf-window-manipulation conf-window-remembers connman cpufreq everything fileman fileman-opinfo gadman geolocation ibar ibox lokker mixer msgbus music-control notification packagekit pager pager-plain policy-mobile quickaccess shot start syscon systray tasks teamwork temperature tiling time winlist wireless wizard wl-desktop-shell wl-drm wl-text-input wl-weekeyboard wl-wl wl-x11 xkbswitch xwayland" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="emu efi-64 pc" INPUT_DEVICES="elographics evdev libinput lirc synaptics wacom" KERNEL="linux" L10N="de en fr ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5 python3_6" PYTHON_TARGETS="python3_6" QEMU_SOFTMMU_TARGETS="x86_64 aarch64 arm i386 ppc ppc64 ppcemb" QEMU_USER_TARGETS="x86_64 aarch64 arm i386 ppc ppc64 ppc64abi32 ppc64le" RUBY_TARGETS="ruby23 ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="amdgpu dummy i915 i965 intel modesetting nvidia qxl radeon radeonsi virgl vmware" XFCE_PLUGINS="brightness clock multiload-nandhp power trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Denis Descheneaux 2018-01-23 04:31:12 UTC
I did also re-fetch the package, just to be sure it was not an issue with the one already downloaded
Comment 3 Denis Descheneaux 2018-01-23 04:31:20 UTC
I did also re-fetch the package, just to be sure it was not an issue with the one already downloaded
Comment 4 Denis Descheneaux 2018-01-23 12:14:33 UTC
last emerged successfully on

     Mon Dec  4 23:52:02 2017 >>> dev-tex/xmltex-1.9-r2


Dont know if it could be related to portage

     Wed Nov 22 00:30:51 2017 >>> sys-apps/portage-2.3.16
     Tue Dec  5 16:54:35 2017 >>> sys-apps/portage-2.3.16
     Fri Dec  8 19:31:12 2017 >>> sys-apps/portage-2.3.17
     Mon Dec 11 12:46:15 2017 >>> sys-apps/portage-2.3.18
     Sat Dec 16 04:20:19 2017 >>> sys-apps/portage-2.3.19
     Tue Jan  2 09:32:25 2018 >>> sys-apps/portage-2.3.19-r1
     Sat Jan  6 21:40:58 2018 >>> sys-apps/portage-2.3.19-r1
     Sun Jan 21 05:43:00 2018 >>> sys-apps/portage-2.3.20
Comment 5 Denis Descheneaux 2018-01-23 12:17:15 UTC
     Mon Dec  4 06:36:39 2017 >>> app-arch/gzip-1.8
     Tue Jan 23 05:07:30 2018 >>> app-arch/gzip-1.9


     Sat Oct 14 04:30:29 2017 >>> app-arch/tar-1.29-r3
     Tue Dec  5 23:56:45 2017 >>> app-arch/tar-1.29-r3
     Sun Dec 17 20:55:20 2017 >>> app-arch/tar-1.30
Comment 6 Håkon Alstadheim 2018-10-09 00:00:35 UTC
Definitely a bad tar-file. Needs to be re-created

To reproduce:
# cd /usr/portage/distfiles
rm xmltex*
# wget 'http://distfiles.gentoo.org/distfiles/xmltex-1.9.tar.gz'
--2018-10-09 01:56:06--  http://distfiles.gentoo.org/distfiles/xmltex-1.9.tar.gz
Slår opp vertsnavn distfiles.gentoo.org (distfiles.gentoo.org) … 64.50.233.100, 140.211.166.134, 137.226.34.46, ...
Kobler til distfiles.gentoo.org (distfiles.gentoo.org)|64.50.233.100|:80 …tilkoblet.
HTTP-forespørsel sendt. Venter på svar … 200 OK
Lengde: 110592 (108K) [application/x-gzip]
Lagrer til: «xmltex-1.9.tar.gz»

xmltex-1.9.tar.gz          100%[=======================================>] 108,00K  --.-KB/s    på 0s      

2018-10-09 01:56:07 (362 MB/s) - «xmltex-1.9.tar.gz» lagret [110592/110592]

0:root@gt /usr/portage/distfiles # tar tvzf xmltex-1.9.tar.gz 
drwxrwsr-x 504/500           0 2000-11-28 22:31 xmltex/
drwxrwsr-x 504/500           0 2002-06-26 00:43 xmltex/base/
-rw-rw-r-- 504/500          15 2000-03-22 03:52 xmltex/base/pdfxmltex.ini
-rw-rw-r-- 504/500        3311 2000-01-19 08:00 xmltex/base/testascii.cfg
-rw-rw-r-- 504/500          14 2000-03-22 03:52 xmltex/base/xmltex.ini
-rw-rw-r-- 504/500        7522 2002-06-25 23:00 xmltex/base/xmltex.cfg
-rw-rw-r-- 504/500       56512 2002-06-25 22:58 xmltex/base/xmltex.tex
-rw-rw-r-- 504/500        3172 2002-06-25 23:01 xmltex/base/mathml2.xmt
-rw-rw-r-- 504/500       33485 2000-02-03 08:00 xmltex/base/manual.html
-rw-rw-r-- 504/500       34801 2000-02-03 08:00 xmltex/base/manual.xml
-rw-rw-r-- 504/500        1232 2000-01-19 08:00 xmltex/base/manual.xsl
-rw-rw-r-- 504/500        3878 2000-01-19 08:00 xmltex/base/readme.txt
-rw-rw-r-- 504/500        2563 2000-01-19 08:00 xmltex/base/tei.xmt
-rw-rw-r-- 504/500          65 2000-01-19 08:00 xmltex/base/utf-16.xmt
-rw-rw-r-- 504/500         584 2000-01-19 08:00 xmltex/base/sec.xmt
-rw-rw-r-- 504/500         194 2000-01-17 08:00 xmltex/base/englishutf16.xml
-rw-rw-r-- 504/500         790 2000-01-19 08:00 xmltex/base/testascii.xml
-rw-rw-r-- 504/500         624 2000-01-19 08:00 xmltex/base/langtest.xmt
-rw-rw-r-- 504/500         374 2000-01-19 08:00 xmltex/base/langtest.xml
-rw-rw-r-- 504/500         145 2000-01-19 08:00 xmltex/base/russiankoi8.xml
-rw-rw-r-- 504/500         177 2000-01-19 08:00 xmltex/base/russianutf8.xml
-rw-rw-r-- 504/500        1363 2000-01-18 08:00 xmltex/base/testsec.xml
-rw-rw-r-- 504/500         152 2000-01-17 08:00 xmltex/base/portugeselatin1.xml
-rw-rw-r-- 504/500          48 2000-01-17 08:00 xmltex/base/langtest.tex
-rw-rw-r-- 504/500        3443 2001-03-29 23:03 xmltex/base/windows-1250.xmt
-rw-rw-r-- 504/500          96 2000-01-17 08:00 xmltex/base/englishutf8.xml
-rw-rw-r-- 504/500         490 2000-01-17 08:00 xmltex/base/iso-8859-1.xmt
-rw-rw-r-- 504/500        3633 2000-01-17 08:00 xmltex/base/koi8-r.xmt
-rw-rw-r-- 504/500          47 2000-01-17 08:00 xmltex/base/testsec.tex
-rw-rw-r-- 504/500          44 2000-01-17 08:00 xmltex/base/testascii.tex
-rw-rw-r-- 504/500          41 2000-01-17 08:00 xmltex/base/manual.tex
-rw-rw-r-- 504/500        2688 2001-03-29 23:03 xmltex/base/iso-8859-2.xmt
drwxrwsr-x 504/500           0 2002-06-26 00:43 xmltex/contrib/
drwxrwsr-x 504/500           0 2002-06-27 11:38 xmltex/contrib/passivetex/
-rw-rw-r-- 504/500        6141 2002-06-26 00:51 xmltex/contrib/passivetex/teiprintslides.xmt
-rw-rw-r-- 504/500       57457 2002-06-26 00:51 xmltex/contrib/passivetex/fotex.xmt
-rw-rw-r-- 504/500       50540 2002-06-27 12:18 xmltex/contrib/passivetex/fotex.sty
-rw-rw-r-- 504/500       13693 2002-06-26 00:51 xmltex/contrib/passivetex/mlnames.sty
-rw-rw-r-- 504/500      130591 2002-06-26 00:51 xmltex/contrib/passivetex/ucharacters.sty
-rw-rw-r-- 504/500       23178 2002-06-26 00:51 xmltex/contrib/passivetex/unicode.sty
-rw-rw-r-- 504/500        4041 2002-06-26 00:51 xmltex/contrib/passivetex/tei.xmt
-rw-rw-r-- 504/500        5924 2002-06-26 00:51 xmltex/contrib/passivetex/dummyels.sty
-rw-rw-r-- 504/500        5413 2002-06-26 00:51 xmltex/contrib/passivetex/teislides.xmt
gzip: warning: <stdin>: trailing junk was ignored
-rw-rw-r-- 504/500        1100 2002-06-26 00:51 xmltex/contrib/passivetex/teixml.sty
-rw-rw-r-- 504/500        2250 2002-06-26 00:51 xmltex/contrib/passivetex/teixmlslides.sty
tar: Child returned status 1
tar: Error is not recoverable: exiting now
#
Comment 7 Chris 2018-12-01 19:45:29 UTC
Unpacking works if you disable pigz (e.g. re-emerge app-arch/pigz with USE=-symlink).
Comment 8 Roger 2019-11-24 19:55:16 UTC
Bug #674300 looks related.

The Pigz author's Github page for the package indicated this error/problem during 2016, supposedly fixed/closed then later reporting on the Github bug/issue page of an apparent unfixed regression during 2017:

"Missing files are skipped, but only indicated through message on stderr #43"
https://github.com/madler/pigz/issues/43

Few source code packages during building on my machine here have ever indicated this problem.

WORKAROUND: For stability reasons, I'm also adding this pigz package use flag to the package.use config file. (eg. /etc/portage/package.use/use ++"app-arch/pigz -symlink".

Does not look like the USE flag "symlink" is enabled by default for AMD64 profiles.  I wonder if we can mask this use flag, within the ebuild along with a brief comment for this bug number citation, for this particular bug until a workaround is employed?   Or, if a fix is ever provided...
Comment 9 Marcel Schilling 2020-01-25 20:32:03 UTC
Note that the development version of pigz now behaves like gzip: https://github.com/madler/pigz/issues/76
This should prevent such issues if building pigz with USE=symlink once a new release is out.
Comment 10 Roger 2020-01-26 00:46:29 UTC
Just a suggestion, notify this list when the development version is released into Gentoo Portage. ;-)

Think a lot of users having SMP platforms will want to re-enable the symlink option!
Comment 11 Marcel Schilling 2020-01-26 10:52:06 UTC
Sure. Anything else stopping this from getting resolved by fixing the archive?
If it wouldn't contain 'trailing junk', it would work fine with current pigz as well.
Comment 12 Daniel Santos 2020-02-09 18:06:39 UTC
(In reply to Marcel Schilling from comment #11)
> Sure. Anything else stopping this from getting resolved by fixing the
> archive?
> If it wouldn't contain 'trailing junk', it would work fine with current pigz
> as well.

The archive is from 2004.  I don't think it's generally a good practice to take copy and alter an archive from upstream.  I'm just deleting my /usr/bin/gzip symlink because I don't have pigz for decompression; compression is the hard part.

Would be nice if pigz got to a release soon with the fix however.  I don't mind the warning, just please return zero.
Comment 13 Larry the Git Cow gentoo-dev 2020-04-17 00:43:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9838d41271b22d47e1b2845a618170cd63bcffef

commit 9838d41271b22d47e1b2845a618170cd63bcffef
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2020-04-17 00:41:09 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-04-17 00:43:39 +0000

    dev-tex/xmltex: Unpack with /bin/gzip explicitly
    
    ... in order to work around an incompatibility in app-arch/pigz. It
    appears that xmltex's tarball has trailing junk at the end of the file,
    and it appears to be a completed project, so no new releases are
    forthcoming.
    
    Closes: https://bugs.gentoo.org/645438
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 dev-tex/xmltex/xmltex-1.9-r3.ebuild | 5 +++++
 1 file changed, 5 insertions(+)